---
title: Configuration 
---

### Configuration

Below is the full configuration available with defaults values:

    "example" => [
        "type"   => "anomaly.field_type.text",
        "config" => [
            "type"          => "text",
            "mask"          => null,
            "min"           => null,
            "max"           => null,
            "default_value" => null,
        ]
    ]

###### Configuration

<table class="table table-bordered table-striped">

<thead>

<tr>

<th>Key</th>

<th>Example</th>

<th>Description</th>

</tr>

</thead>

<tbody>

<tr>

<td>

type

</td>

<td>

password

</td>

<td>

The input type. Valid options are `text` (default), `password`, `email`, and `tel`.

</td>

</tr>

<tr>

<td>

mask

</td>

<td>

(999) 999-9999

</td>

<td>

The input mask definition. See <a href="https://github.com/RobinHerbots/Inputmask"> for more information.

</td>

</tr>

<tr>

<td>

min

</td>

<td>

10

</td>

<td>

The minimum length value allowed.

</td>

</tr>

<tr>

<td>

max

</td>

<td>

20

</td>

<td>

The maximum length value allowed.

</td>

</tr>

<tr>

<td>

show_counter

</td>

<td>

true

</td>

<td>

Define whether to show the character length counter or not. If `max` is defined the counter will show characters remaining.

</td>

</tr>

<tr>

<td>

default_value

</td>

<td>

noreply@example.com

</td>

<td>

The default value.

</td>

</tr>

</tbody>

</table>
